\name{kfcv}
\alias{kfcv}
\title{ Sample sizes for k-fold cross-validation }
\description{
  Compute sample sizes for \emph{k}-fold cross-validation. 
}
\usage{
kfcv(k, N)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{k}{ number of groups. }
  \item{N}{ total sample size. }
}
\details{
  If N/k is an integer, the sample sizes are k `N/k's (N/k, N/k, ...), otherwise the remainder will be allocated to each group as `uniformly' as possible, and at last these sample sizes will be permuted randomly.  
}
\value{
  A vector of length \code{k} containing \emph{k} sample sizes. 
}

\author{ Yihui Xie }
\seealso{ \code{\link{cv.ani}} }
\examples{
# divisible
kfcv(5, 25)

# not divisible 
kfcv(10,77) 
}
\keyword{ arith }
\keyword{ classif }